--- title: "deleteNatGatewayInstance" slug: "networking-vpc-natgateway-deletenatgatewayinstance" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-natgateway-deletenatgatewayinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteNatGatewayInstance Available in VPC Delete a NAT Gateway instance by specifying the NAT Gateway instance number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/deleteNatGatewayInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the NAT Gateway to delete - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `natGatewayInstanceNo` | String | Required | Number of NAT Gateway instance to delete - See [getNatGatewayInstanceList](/docs/en/networking-vpc-natgateway-getnatgatewayinstancelist). | | `output` | String | Optional | Format of the response result - `xml` \| `json` (default) | | `returnPublicIpInstance` | Boolean | Optional | - `true` (default) \| `false` - `true`: Also delete the public IP instance assigned to the public NAT Gateway. - `false`: Keep the public IP instance as is. | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteNatGatewayInstance ?regionCode=KR &natGatewayInstanceNo=***9734' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NatGatewayInstanceList](/docs/en/common-vapidatatype-natgatewayinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` bce9e911-5989-4285-8596-8d08966c7181 0 success 1 ***36 normal-*** *****0811 ng19**** ***.***.153.33 RUN RUN status Terminating TERMT TERMINATE OP 2025-05-08T18:38:25+0900 KR-1 PBLIP Public public-*** ***29 10.0.1.8 ***810 PRIMARY 10.0.1.8 ***.***.153.33 ***810 ```